Free Software Foundation!

Join now

Difference between revisions of "Unieject"

From Free Software Directory
Jump to: navigation,
(updated v. 6)
m (internal link)
 
Line 16: Line 16:
  
 
It can fully replace FreeBSD's eject (in both atapi and atapicam mode), and already mime the main options of GNU/Linux's eject.
 
It can fully replace FreeBSD's eject (in both atapi and atapicam mode), and already mime the main options of GNU/Linux's eject.
 
 
|Version identifier=6
 
|Version identifier=6
 
|Version date=2009/06/27
 
|Version date=2009/06/27
Line 59: Line 58:
 
{{Software prerequisite
 
{{Software prerequisite
 
|Prerequisite kind=Required to use
 
|Prerequisite kind=Required to use
|Prerequisite description=libcdio
+
|Prerequisite description=[[libcdio]]
 
}}
 
}}
 
{{Software prerequisite
 
{{Software prerequisite

Latest revision as of 12:11, 2 October 2013

[edit]

unieject

http://flameeyes.is-a-geek.org/projects#unieject
This package consists of a library and a command line tool which uses that lib.

  • libunieject is a library which allows the linked software to perform automatic ejects and unmounting the filesystems for the device you want to eject.
  • The command line tool instead is a mimic of classic eject command for GNU/Linux, which supports also the features of FreeBSD's eject command.

Documentation

See the unieject man page.

It hasn't a complete syntax compatibility with either GNU/Linux's or FreeBSD's ejects as they have conflicts between them, but the main options are the same.

It can fully replace FreeBSD's eject (in both atapi and atapicam mode), and already mime the main options of GNU/Linux's eject.


Download

Download version 6 (stable)
released on 27 June 2009

VCS Checkout

Categories




Licensing

LicenseVerified byVerified onNotes
GPLv2orlaterTed Teah27 May 2006



Leaders and contributors

Contact(s)Role
Diego E. 'Flameeyes' Pettenò Maintainer


Resources and communication

Audience Resource type URI
Developer,Help,Support E-mail mailto:flameeyes@gentoo.org
Help Homepage http://sourceforge.net/news/?group_id=160386
Bug Tracking Homepage http://sourceforge.net/tracker/?group_id=160386


Software prerequisites

Kind Description
Required to build gcc
Required to use libcdio
Required to use glib
Required to use libconfuse
Source requirement git
Weak prerequisite libxslt

This entry (in part or in whole) was last reviewed on 2 October 2013.



Entry






































Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the page “GNU Free Documentation License”.

The copyright and license notices on this page only apply to the text on this page. Any software or copyright-licenses or other similar notices described in this text has its own copyright notice and license, which can usually be found in the distribution or license text itself.


Personal tools
Namespaces

Variants
Actions
Navigation
Contribute